package com.stpos.a8pos.devicesdk.impl.nexgo

import android.os.Bundle
import com.nexgo.oaf.apiv3.DeviceEngine
import com.stpos.a8pos.devicesdk.DeviceManager
import com.stpos.a8pos.devicesdk.emv.KAPId

// not used right now in the Nexgo CardReader implementation, but the architecture demands it
class NexgoDeviceManager(private val engine: DeviceEngine): DeviceManager {

    override fun getSerialNo() = engine.deviceInfo.sn

    override fun getIMSI() = "N/A"

    override fun getIMEI() = "N/A"

    override fun getICCID() = "N/A"

    override fun getManufactureName() = engine.deviceInfo.vendor

    override fun getTerminalModel() = engine.deviceInfo.model

    override fun getPsamId() = "N/A"

    override fun getAndroidOSVersion() = engine.deviceInfo.osVer

    override fun getAndroidKernelVersion() = engine.deviceInfo.kernelVer

    override fun getRomVersion() = engine.deviceInfo.sdkVer

    override fun getFirmwareVersion() = engine.deviceInfo.firmWareVer

    override fun getHardwareVersion() = "N/A"

    override fun getHardWareSn(): String? = engine.deviceInfo.ksn

    override fun isOvsTerm(): Boolean {
        TODO("Not yet implemented")
    }

    override fun rebootTerminal() {
        TODO("Not yet implemented")
    }

    override fun updateSystemTime(date: String, time: String) {
        TODO("Not yet implemented")
    }

    override fun updateSystemTime(dateTime: String?) {
        TODO("Not yet implemented")
    }

    override fun getSystemModulesVersion(moduleNames: List<String?>?): Bundle? {
        TODO("Not yet implemented")
    }

    override fun getAppKapList(): List<KAPId>? {
        TODO("Not yet implemented")
    }

    override fun getBuildNumber(): String {
        TODO("Not yet implemented")
    }
}