package com.stpos.a8pos.devicesdk.impl.nexgo.emv

import com.nexgo.oaf.apiv3.DeviceEngine
import com.nexgo.oaf.apiv3.emv.EmvDataSourceEnum
import com.stpos.a8pos.devicesdk.card.Card
import com.stpos.a8pos.devicesdk.emv.*
import com.stpos.a8pos.devicesdk.pinpad.RxPinPad
import com.util.data.BytesUtil
import io.reactivex.Completable
import io.reactivex.Observable
import io.reactivex.Single

// not used right now by the Nexgo CardReader implementation, but the architecture demands it
class NexgoEmv(private val engine: DeviceEngine): Emv {
    private val emvHandler = engine.getEmvHandler("app1")
    override fun getSendOutMessage(errorCode: Int): String {
        TODO("Not yet implemented")
    }

    override fun setOfflinePinRequired(pinPad: RxPinPad?, icCardToken: Int) {
        TODO("Not yet implemented")
    }

    override fun startProcess(config: Emv.Config): Observable<TransactionActionRequestEvent> {
        TODO("Not yet implemented")
    }

    override fun updateCallback(): Observable<TransactionActionRequestEvent> {
        TODO("Not yet implemented")
    }

    override fun transfer(targetPackageName: String?) {
        TODO("Not yet implemented")
    }

    override fun stopProcess() {
        TODO("Not yet implemented")
    }

    override fun stopProcessCompletable(): Completable {
        TODO("Not yet implemented")
    }

    override fun respondEvent(tlvString: String?) {
        TODO("Not yet implemented")
    }

    override fun manageAid(action: Int, aid: String?, isPartSlt: Boolean) {
        TODO("Not yet implemented")
    }

    override fun manageAid(action: Int, aid: String?, isPartSlt: Boolean, kernelId: Int) {
        TODO("Not yet implemented")
    }

    override fun manageRecoverCertification(action: Int, certification: RecoverCert) {
        TODO("Not yet implemented")
    }

    override fun manageCAPubKey(action: Int, publicKey: CAPublicKey) {
        TODO("Not yet implemented")
    }

    override fun manageSMCAPubKey(action: Int, publicKey: SMCAPublicKey) {
        TODO("Not yet implemented")
    }

    override fun setCaPublicKey(publicKey: CAPublicKey) {
        TODO("Not yet implemented")
    }

    override fun setSmCaPublicKey(publicKey: SMCAPublicKey) {
        TODO("Not yet implemented")
    }

    override fun setDOL(type: Int, dol: String?) {
        TODO("Not yet implemented")
    }

    override fun getDOL(type: Int): String {
        TODO("Not yet implemented")
    }

    override fun getTLV(tag: String?): String {
        if (tag == null) {
            return "00"
        }
        val tlv = emvHandler.getTlv(BytesUtil.hexString2ByteArray(tag), EmvDataSourceEnum.FROM_KERNEL)
        if (tlv == null) return "00"
        return BytesUtil.byte2hex(tlv)
    }

    override fun getDataAPDU(tag: String?): String {
        TODO("Not yet implemented")
    }

    override fun getECCLog(aid: ByteArray?): List<ECCardLog> {
        TODO("Not yet implemented")
    }

    override fun getICCLog(aid: ByteArray?): List<ICCardLog> {
        TODO("Not yet implemented")
    }

    override fun setTLV(kernelId: Int, tag: String?, value: String?) {
        TODO("Not yet implemented")
    }

    override fun setTLVList(kernelId: Int, tlvListString: String?) {
        TODO("Not yet implemented")
    }

    override fun getBalance(): Long {
        TODO("Not yet implemented")
    }

    override fun getKernelVersion(): String? {
        TODO("Not yet implemented")
    }

    override fun searchCard(cardOption: Emv.CardOption, timeout: Int): Single<Card> {
        TODO("Not yet implemented")
    }

    override fun stopSearchCard() {
        TODO("Not yet implemented")
    }

    override fun respondCard() {
        TODO("Not yet implemented")
    }

    override fun switchDebug(emvLogLevel: Int) {
        TODO("Not yet implemented")
    }

    override fun halt() {
        TODO("Not yet implemented")
    }

    override fun setEMVProcessOptimization(emvProcessOptimization: Boolean): Boolean {
        TODO("Not yet implemented")
    }
}